package app.navigation.matchday.components.button;

import app.navigation.matchday.MatchdayNavigation;

import java.util.concurrent.atomic.AtomicInteger;

class MatchdayButtonUtils {

    static int getMatchdayIndex(MatchdayNavigation matchdayNavigation) {
        AtomicInteger index = new AtomicInteger(-1);
        matchdayNavigation.getSelectedMatchday().ifPresent(matchday -> index.set(matchdayNavigation.getMatchdayList().indexOf(matchday)));
        return index.get();
    }
}
