package app.navigation.player.components.button;

import app.navigation.player.PlayerNavigation;

import java.util.concurrent.atomic.AtomicInteger;

class PlayerButtonUtils {

    static int getPlayerIndex(PlayerNavigation playerNavigation) {
        AtomicInteger index = new AtomicInteger(-1);
        playerNavigation.getSelectedPlayer().ifPresent(player -> index.set(playerNavigation.getPlayerList().indexOf(player)));
        return index.get();
    }
}
