package app.data.chesscom;

public class ChessComGame {
    private String url;
    private String pgn;
    private String timeControl;
    private long endTime;
    private boolean rated;
    private String fen;
    private String timeClass;
    private String rules;
    private ChessComGamePlayer white;
    private ChessComGamePlayer black;

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getPgn() {
        return pgn;
    }

    public void setPgn(String pgn) {
        this.pgn = pgn;
    }

    public String getTimeControl() {
        return timeControl;
    }

    public void setTimeControl(String timeControl) {
        this.timeControl = timeControl;
    }

    public long getEndTime() {
        return endTime;
    }

    public void setEndTime(long endTime) {
        this.endTime = endTime;
    }

    public boolean isRated() {
        return rated;
    }

    public void setRated(boolean rated) {
        this.rated = rated;
    }

    public String getFen() {
        return fen;
    }

    public void setFen(String fen) {
        this.fen = fen;
    }

    public String getTimeClass() {
        return timeClass;
    }

    public void setTimeClass(String timeClass) {
        this.timeClass = timeClass;
    }

    public String getRules() {
        return rules;
    }

    public void setRules(String rules) {
        this.rules = rules;
    }

    public ChessComGamePlayer getWhite() {
        return white;
    }

    public void setWhite(ChessComGamePlayer white) {
        this.white = white;
    }

    public ChessComGamePlayer getBlack() {
        return black;
    }

    public void setBlack(ChessComGamePlayer black) {
        this.black = black;
    }

    public static class ChessComGamePlayer {
        private int rating;
        private String result;
        private String id;
        private String username;

        public int getRating() {
            return rating;
        }

        public void setRating(int rating) {
            this.rating = rating;
        }

        public String getResult() {
            return result;
        }

        public void setResult(String result) {
            this.result = result;
        }

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public String getUsername() {
            return username;
        }

        public void setUsername(String username) {
            this.username = username;
        }
    }

}
