package app.data.entity;

import lombok.Getter;
import lombok.Setter;

import javax.persistence.*;

@Getter
@Setter
@Entity
@Table(name = "player_info",
        schema = "public",
        catalog = "chessleague")
public class PlayerInfo extends AbstractEntity {

    @OneToOne(mappedBy = "playerInfo",
            cascade = CascadeType.DETACH)
    private Player player;

    @Basic
    @Column(name = "url")
    private String url;
}
