package app.data.service;

import app.data.entity.GameInfo;
import app.data.repository.GameInfoRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.vaadin.artur.helpers.CrudService;

@Service
public class GameInfoService extends CrudService<GameInfo, Integer> {

    private final GameInfoRepository repository;

    public GameInfoService(@Autowired GameInfoRepository repository) {
        this.repository = repository;
    }

    @Override
    protected GameInfoRepository getRepository() {
        return repository;
    }

}
