package app.navigation.match.components;

import app.navigation.NavigationHeader;
import app.navigation.match.MatchNavigation;
import com.vaadin.flow.component.html.Label;

public class MatchNavigationHeader extends NavigationHeader<MatchNavigation> {

    public MatchNavigationHeader(MatchNavigation navigation) {
        super(navigation);
    }

    @Override
    protected void defineChildren() {
        removeAll();
        add(new Label("Season:"), navigation.getSeasonSelect());
        add(new Label("Matchday:"), navigation.getMatchdaySelect());
        add(new Label("Match:"), navigation.getMatchSelect());
    }
}
