package app.navigation.player.components;

import app.navigation.NavigationHeader;
import app.navigation.player.PlayerNavigation;
import com.vaadin.flow.component.html.Label;

public class PlayerNavigationHeader extends NavigationHeader<PlayerNavigation> {

    public PlayerNavigationHeader(PlayerNavigation navigation) {
        super(navigation);
    }

    @Override
    protected void defineChildren() {
        removeAll();
        add(new Label("Player:"), navigation.getPlayerSelect());
        add(new Label("Season:"), navigation.getSeasonSelect());
    }
}
